Need Firmware 4.7.0.73 download link(Upgrade and Downgrade))

Need firmware(old & new) for 5 GHz Force 200L Radio…

Hardware Version
5 GHz Force 200L Radio

Software Version
4.7.0.73

Firmware Version
U-Boot 9342_DC 1.1.4.f (Feb 18 2021 - 18:25:50)

here you can find firmwares for all Cambium’s products:
https://support.cambiumnetworks.com/files

1 Like

Thank you so much for link @MW_WISP . But not found needed firmware like- Firmware 4.7.0.85 for 5 GHz Force 200L Radio.

All of the L branded radios except for the 3000L do not have a beta of 4.7 available yet. Best you can do is 4.6.2 for now. Keep watching the download links for force 200L for a beta tag to show up.

1 Like

Thanks @ Douglas Generous.

But my last firmware is Firmware 4.7.0.73 & Firmware 4.7.0.85.

not sure how you have a force 200L since I do not see it as a valid hardware option. Maybe its a radio thats reporting wrong? Notbsure there, but the download section does notbhave a f200L option and thus no software available.

If this is an elevated radio, please check in the elevate section.

1 Like

winncom sells them. I have never heard of them either.

https://www.winncom.com/gb/products/C050900M293A

ePMP Force 200L, 5GHz Radio with 25 dBi Dish Antenna, 4-Pack Bulk Packaging, priced per One unit, EU. EU power cord. Sold in quantities by 4 Only

Manufacturer PN #: C050900M293A

1 Like

I just did a very thorough check on Cambium’s main website and its not listed at all, not even in the user guides and marketing brochures!
What I can tell from googling is that it is a f190 based mount with a f200 dish? And that it is mostly for EU and ROW applications. No real information is actually available, just sales offers and images (which are really limited).

If you need firmware for this, you may need to contact cambium customer service?

Maybe @Fedor or @CambiumMatt can educate the masses?

1 Like

Originally I was just browsing the forum and became curious about this issue. Decided to follow to see the result of this issue.

The next topic I opened was someone that has a 2000 AP reporting as a 2000L. Seems others had this happen as well and the fix was a factory reset using the button.

Epmp 2000 AP became AP Lite - Products / ePMP - Cambium Community (cambiumnetworks.com)

Not guarantied to be the solution but seems possible to be related.

1 Like

Thats a good way to think, but unfortunately not really related. Previously there was no such thing as a f200L and for the NA market, there seems to still not be. Correlating a dedicated AP hardware issue to a dedicated SM hardware is not intuitive but not completely out of scope. The scope was set by the question and this hardware that surprisingly enough is not even mentioned in Cambiums sales information nor available documentation. I am usually on the front edge of what’s available, especially from Cambium so even I was brought up short, which you can tell since I glossed the f200L part with a blanket response.

So either this is a limited market hardware or it was a special run of hardware that has been limited in way or its an f190 with a f200 dish??? not sure and there is scant information regarding them!

1 Like

Funny, beta 4.7 RC7 lists

Other Features

  • TR-069
  • Force 200L Support
  • Elevate Intelbras & MT Licensing
  • Force 300 Subscriber Modules allowed operations in AP TDD PMP Mode

No explanation or mention otherwise in the release notes and 200L is not listed as one of the products the firmware is intended for… nor any mention of the 180L.

Could be an oversite.

Docs with the N and AC L series radios have nothing really useful

1 Like

please i need an assistance to make use of dicslite 5ac radio for installation,any help

1 Like

is it mikrotik?

Hi @Uchamong_Marma,
Force 200L is a new product. It is on market delivery stage. You are lucky to be the first who get it.
It’s support is added since 4.7. It was factory flashed with alfa firmware 4.7.0.73 because the first batch was dispatched well before sales start. Now you should use 4.7-RC7 from this page: Log In / Cambium Networks Support

Official information and all link names will be added to Cambium website very soon.

Thank you for understanding!

3 Likes

Hi @okorigwe_Aaron,

as for now we don’t support AC series elevates.

Great info@ [Andrii]

Andrii,

Can you post the tech specs and sales brochures for the f200L?

I know telling us about a upcoming product tends to get you guys plastered of “when will this be available” but also not having anything before our customers for information leaves us out in the cold and we cant sell what we don’t know about!

1 Like

@Douglas_Generous we are already working on it! Thank you!

1 Like

@Andrii_Khmelnytskyi , any chance we can get the factory flashed 4.7.0.73 firmware somehow?
As we have loaded BETA firmware 4.7-RC7 and are having connectivity issues only on the 200L devices with BETA firmware.
In total we have about 50 Force 200L devices in the field and only 5 with BETA firmware.

1 Like

Please reach me via email akh300@cambiumnetworks.com and will help you to sort your issue.